---
title: get-a-single-check
product: vercel
url: /docs/rest-api/checks/get-a-single-check
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-a-single-check on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get a single check

> **Deprecated**: This endpoint is deprecated and may be removed in a future version.

```http
GET /v1/deployments/{deploymentId}/checks/{checkId}
```

Return a detailed response for a single check.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `deploymentId` | string | Yes | The deployment to get the check for. |
| `checkId` | string | Yes | The check to fetch |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "blocking",
    "createdAt",
    "deploymentId",
    "id",
    "integrationId",
    "name",
    "status",
    "updatedAt"
  ],
  "properties": {
    "id": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "createdAt": {
      "type": "number"
    },
    "updatedAt": {
      "type": "number"
    },
    "deploymentId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "running",
        "completed",
        "registered"
      ]
    },
    "conclusion": {
      "type": "string",
      "enum": [
        "canceled",
        "skipped",
        "failed",
        "neutral",
        "succeeded",
        "stale"
      ]
    },
    "externalId": {
      "type": "string"
    },
    "output": {
      "type": "object",
      "properties": {
        "metrics": {
          "type": "object",
          "required": [
            "CLS",
            "FCP",
            "LCP",
            "TBT"
          ],
          "properties": {
            "FCP": {
              "type": "object",
              "required": [
                "source",
                "value"
              ],
              "properties": {
                "value": {
                  "type": "number",
                  "nullable": true
                },
                "previousValue": {
                  "type": "number"
                },
                "source": {
                  "type": "string",
                  "enum": [
                    "web-vitals"
                  ]
                }
              }
            },
            "LCP": {
              "type": "object",
              "required": [
                "source",
                "value"
              ],
              "properties": {
                "value": {
                  "type": "number",
                  "nullable": true
                },
                "previousValue": {
                  "type": "number"
                },
                "source": {
                  "type": "string",
                  "enum": [
                    "web-vitals"
                  ]
                }
              }
            },
            "CLS": {
              "type": "object",
              "required": [
                "source",
                "value"
              ],
              "properties": {
                "value": {
                  "type": "number",
                  "nullable": true
                },
                "previousValue": {
                  "type": "number"
                },
                "source": {
                  "type": "string",
                  "enum": [
                    "web-vitals"
                  ]
                }
              }
            },
            "TBT": {
              "type": "object",
              "required": [
                "source",
                "value"
              ],
              "properties": {
                "value": {
                  "type": "number",
                  "nullable": true
                },
                "previousValue": {
                  "type": "number"
                },
                "source": {
                  "type": "string",
                  "enum": [
                    "web-vitals"
                  ]
                }
              }
            },
            "virtualExperienceScore": {
              "type": "object",
              "required": [
                "source",
                "value"
              ],
              "properties": {
                "value": {
                  "type": "number",
                  "nullable": true
                },
                "previousValue": {
                  "type": "number"
                },
                "source": {
                  "type": "string",
                  "enum": [
                    "web-vitals"
                  ]
                }
              }
            }
          }
        }
      }
    },
    "completedAt": {
      "type": "number"
    },
    "path": {
      "type": "string"
    },
    "blocking": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "detailsUrl": {
      "type": "string"
    },
    "integrationId": {
      "type": "string"
    },
    "startedAt": {
      "type": "number"
    },
    "rerequestable": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.
The provided token is not from an OAuth2 Client that created the Check

### 404: Check was not found
The deployment was not found

---

## Related

- [checks endpoints](/docs/rest-api#checks)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
